searchData={"items":[{"type":"module","doc":"Documentation for `Supra`.","title":"Supra","ref":"Supra.html"},{"type":"function","doc":"Returns the number of rows in `queryable`","title":"Supra.count/2","ref":"Supra.html#count/2"},{"type":"function","doc":"Limits `queryable` to one result and returns that result","title":"Supra.first/2","ref":"Supra.html#first/2"},{"type":"function","doc":"Returns `query` as a string with all parameters formatted in the specified style. Styles are rendered via\n`IO.ANSI` which will only render stylized text if it thinks the output device can show them.\n\n* `:bright` renders parameters in brighter text, which is the most subtle of all the supported styles and may be hard\n  to differentiate.\n* `:color` renders parameters in different colors depending on their data types via `IO.ANSI.syntax_colors/0`.\n* `:inverse` (the default) renders parameters with an inverse background. This is quite visible and also compatible\n  when some other code such as a logger is colorizing the query.\n* `:underline` is a bit more subtle than `:inverse` but more visible than `:bright`.","title":"Supra.format/3","ref":"Supra.html#format/3"},{"type":"function","doc":"Applies `limit` to `queryable`","title":"Supra.limit/2","ref":"Supra.html#limit/2"},{"type":"function","doc":"Streams an Ecto query without requiring a transaction.","title":"Supra.stream/2","ref":"Supra.html#stream/2"},{"type":"function","doc":"- `curosr_fun :: fun()` required - An arity-1 function that will be given the last value returned\n  from the stream. This function will be evaluated to save the cursor value that will be used\n  to find the next batch.\n- `next_batch_fun :: fun()` required - An arity-1 function that will be given the cursor saved\n  from the previous batch. This function must return an `t:Ecto.Query.dynamic_expr/0` that may\n  used in a where clause to find the next batch.\n- `repo :: module()` required - An `Ecto.Repo` execute queries.\n- `batch_size :: integer() deault `100` - The size of batches to query from the database.\n- `preload :: term()` optional - An optional set of preloads to apply to each batch before\n  emitting members to the stream.","title":"Options - Supra.stream/2","ref":"Supra.html#stream/2-options"},{"type":"function","doc":"Streams an Ecto query without requiring a transaction.\nMust be given the name of a non-nullable field to iterate over in batches.","title":"Supra.stream_by/3","ref":"Supra.html#stream_by/3"},{"type":"function","doc":"- `repo :: module()` required - An `Ecto.Repo` execute queries.\n- `batch_size :: integer() deault `100` - The size of batches to query from the database.\n- `order :: :asc | :desc` default `:asc` - The order in which to iterate over batches.\n- `preload :: term()` optional - An optional set of preloads to apply to each batch before\n  emitting members to the stream.","title":"Options - Supra.stream_by/3","ref":"Supra.html#stream_by/3-options"},{"type":"type","doc":"","title":"Supra.change/1","ref":"Supra.html#t:change/1"},{"type":"type","doc":"","title":"Supra.preloadable/0","ref":"Supra.html#t:preloadable/0"},{"type":"type","doc":"","title":"Supra.preloadable/1","ref":"Supra.html#t:preloadable/1"},{"type":"type","doc":"","title":"Supra.result/1","ref":"Supra.html#t:result/1"},{"type":"type","doc":"","title":"Supra.result/2","ref":"Supra.html#t:result/2"},{"type":"type","doc":"","title":"Supra.stream_by_opt/0","ref":"Supra.html#t:stream_by_opt/0"},{"type":"type","doc":"","title":"Supra.stream_by_opts/0","ref":"Supra.html#t:stream_by_opts/0"},{"type":"type","doc":"","title":"Supra.stream_opt/0","ref":"Supra.html#t:stream_opt/0"},{"type":"type","doc":"","title":"Supra.stream_opts/0","ref":"Supra.html#t:stream_opts/0"},{"type":"module","doc":"Internal module for formatting a sql query","title":"Supra.Format","ref":"Supra.Format.html"},{"type":"function","doc":"See `Supra.format/3`","title":"Supra.Format.format/2","ref":"Supra.Format.html#format/2"},{"type":"type","doc":"","title":"Supra.Format.style/0","ref":"Supra.Format.html#t:style/0"},{"type":"exception","doc":"","title":"Supra.Error","ref":"Supra.Error.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}